INTERFACE
SUBROUTINE GATHERGPF(PLOCGP,PGLOBGP,KFLDS,KROOT,KSCALE)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDS
REAL(KIND=JPRB) ,INTENT(IN) :: PLOCGP(:)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGLOBGP(:,:)
INTEGER(KIND=JPIM),INTENT(IN) :: KROOT
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KSCALE
END SUBROUTINE GATHERGPF
END INTERFACE
